Subject: bug#77135: Gnome shell crashes, segfaults in dmesg

From: Christopher Howard <[email-masked]>
Date: Thu, 20 Mar 2025 07:39:01 -0800

Hello, after a guix pull yesterday, I did a guix system reconfigure and a home reconfigure. After rebooting, I have this problem where after logging in to Gnome desktop, the gnome shell will crash with a meaningless error message "something went wrong" and then drop me back to GDM. The crash is not immediate but can take 1-2 minutes before it occurs. I am able to use the virtual console still, but Gnome desktop is rendered useless. I can use the guix roll-back functionality to go back to my previous system and home configuration and everything works again.

After the crash occurs, I can look at the output of dmesg and see that there are segfaults occuring in various services. I have attached the dmesg output.

Here is the information on the current commit:

``` guix describe
Generation 156	Mar 18 2025 06:51:05	(current)
  guix fa39695
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: fa39695bbc0c5f79838cbca55d55eebd821a8efa
```

Here is the information on the system I upgraded from:

``` guix system list-generations
Generation 93	Feb 25 2025 09:39:56
  file name: /var/guix/profiles/system-93-link
  canonical file name: /gnu/store/g4afrmhdsw0ff2c7188klqhd9lmfjszj-system
  label: GNU with Linux-Libre 6.13.3
  bootloader: grub
  root device: /dev/mapper/cryptroot
  kernel: /gnu/store/xp54qjqridxih5j8j0krsxrjlymmvg3x-linux-libre-6.13.3/bzImage
  channels:
    guix:
      repository URL: https://git.savannah.gnu.org/git/guix.git
      branch: master
      commit: 7790e32556f0eebb1bb640e604334f8d1dc20ca5
  configuration file: /gnu/store/q6vx1m9740q04f9rqwdbbvz7v4c28zc7-configuration.scm
```

Here is information on my system from neofetchm, while running under the newer guix system profile:

``` neofetch --stdout
christopher@theoden 
------------------- 
OS: Guix System x86_64 
Host: OptiPlex 9020 00 
Kernel: 6.13.7-gnu 
Uptime: 4 mins 
Packages: 159 (guix-system) 
Shell: bash 5.1.16 
Resolution: 1920x1080 
Terminal: /dev/tty1 
CPU: Intel i5-4570 (4) @ 3.600GHz 
GPU: AMD ATI Radeon HD 8490 / R5 235X OEM 
GPU: Intel HD Graphics 
Memory: 1186MiB / 15906MiB 
```

-- 
📛 Christopher Howard
🚀 gemini://gem.librehacker.com
🌐 http://gem.librehacker.com

בראשית ברא אלהים את השמים ואת הארץ